<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Contact Form</title>
  </head>
  <body>
    <header>
      <h2>Contact Form</h2>
    </header>

    <section>
      <form action="#">
        <label for="fName">First Name:</label> <br />
        <input type="text" id="fName" />

        <br />

        <label for="lName">Last Name: </label> <br />
        <input type="text" id="lName" required />

        <br />

        <label for="email">Email: </label> <br />
        <input type="email" id="email" required />

        <br />

        <label for="phone">Contact Number: </label> <br />
        <input
          type="tel"
          id="phone"
          pattern="[0-9]{3}-[0-9]{3}-[0-9]{4}"
          required
        />
        <small>Format: 0912-345-6789</small>

        <br />

        <label for="srvcType">Service Type:</label> <br />
        <select name="service" id="srvcType" required>
          <option value="">Please choose your preferred service</option>
          <option value="frontend">Front End Programming</option>
          <option value="backend">Back End Programming</option>
          <option value="integation">Integration</option>
          <option value="support">24/7 Support</option>
          <option value="business">Business analysis and consulting</option>
        </select>

        <p>Preferred Contact:</p>
        <input type="checkbox" id="email" name="email" />
        <label for="email">Email</label> <br />
        <input type="checkbox" id="phnpackage" name="phnpackage" />
        <label for="phnpackage">Phone Package:</label> <br />

        <input type="radio" id="basic" name="package" value="basic" />
        <label for="basic">Basic</label> <br />
        <input type="radio" id="prem" name="package" value="prem" />
        <label for="prem">Premium</label> <br />

        <br />

        <label for="msg">Message</label> <br />
        <textarea name="msg" id="msg" cols="30" rows="10" required></textarea>

        <br />
        <button>Send Inquiry</button> <br />
        <input type="reset" value="Reset" />
      </form>
    </section>
  </body>
</html>
